%define _prefix /opt/kde3

Name:         k3bmonkeyaudioplugin
URL:          http://k3b.sourceforge.net/
License:      GPL
Group:        Productivity/Multimedia/CD/Record
Summary:      A plugin for writing monkey files with k3b
Summary(de):	Ein plugin zum Schreiben von monkey files mit k3b
Version:      3.1
Release:      3.66

Source0:        k3bmonkeyaudioplugin-3.1.tar.bz2

Prefix:		%_prefix
BuildRoot:    	%{_tmppath}/buildroot-%{name}-%{version}-build
Requires:	k3b >= 1.0
BuildRequires:	k3b-devel >= 1
BuildRequires:	libsamplerate-devel
BuildRequires:  gcc-c++
%if 0%{?sles_version} == 10
BuildRequires:  xorg-x11-devel
%else
BuildRequires:  xorg-x11-libXt-devel
BuildRequires:  xorg-x11-libXext-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  qt3-devel
BuildRequires:  kdelibs3-devel
BuildRequires:  hal-devel
BuildRequires:  libdvdread-devel
BuildRequires:  nasm
BuildRequires:	libjack0 libjack-devel


%description
A plugin for writing monkey files with k3b

%description -l de
Ein plugin zum Schreiben von monkey files mit k3b


%prep
%setup -q -n %name-%version

%build
%configure \
%ifarch  x86_64 amd64 ia32e
          --enable-libsuffix=64 
%endif

%__make
  

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%makeinstall
find $RPM_BUILD_ROOT%_prefix -type f -o -name "*.so" -exec strip "{}" \;
strip $RPM_BUILD_ROOT%_bindir/* && /bin/true
  
%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_libdir/kde3/libk3bmonkeyencoder.*
%_libdir/kde3/libk3bmonkeydecoder.*
%_datadir/apps/k3b/plugins/k3bmonkeyencoder.plugin
%_datadir/apps/k3b/plugins/k3bmonkeydecoder.plugin
%_datadir/locale/*/LC_MESSAGES/k3bmonkeyplugin.mo

%changelog
* Tue Jan 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import for SLE_10

